For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet All With Filters
      • POSTCreate
      • POSTPreview
      • GETGet All System Templates
      • GETGet
      • DELDelete
      • PATCHUpdate
      • POSTMake Default
LogoLogo
API StatusPartner Portal
UtilitiesMail templates

Preview

POST
/mail_templates/preview
POST
/v1/mail_templates/preview
$curl -X POST https://api.sandbox.monite.com/v1/mail_templates/preview \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": "body",
> "document_type": "receivables_quote",
> "language_code": "ab",
> "subject": "subject"
>}'
1{
2 "body_preview": "body_preview",
3 "subject_preview": "subject_preview"
4}
Preview rendered template
Was this page helpful?
Previous

Get All System Templates

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
bodystringRequired
Body text of the template
document_typeenumRequired
Document type of content
language_codeenumRequired
Lowercase ISO code of language
subjectstringRequired
Subject text of the template

Response

Successful Response
body_previewstring
subject_previewstring

Errors

422
Post Mail Templates Preview Request Unprocessable Entity Error
500
Post Mail Templates Preview Request Internal Server Error